#start
cmake_minimum_required(VERSION 2.8)

##set(ATOM_FILES)
##set(COMPOUND_FILES)
set(PORT_FILES)
set(TYPE_FILES)
##set(CONNECTOR_FILES)

set(EXTRA_SRC)
set(EXTRA_OBJ)

# user include dir
include_directories(/home/siemens/bip/examples/sync_lec/ext-cpp)

# for @cpp(src="...") extra files
list(APPEND EXTRA_SRC /home/siemens/bip/examples/sync_lec/./ext-cpp/utilities.cpp)



# /home/siemens/bip/examples/sync_lec/learn.bip:26:1
list(APPEND TYPE_FILES include/learn/AT__learn__Environment.hpp src/learn/AT__learn__Environment.cpp)


# /home/siemens/bip/examples/sync_lec/learn.bip:44:1
list(APPEND TYPE_FILES include/learn/AT__learn__Camera.hpp src/learn/AT__learn__Camera.cpp)


# /home/siemens/bip/examples/sync_lec/learn.bip:56:1
list(APPEND TYPE_FILES include/learn/AT__learn__Perception.hpp src/learn/AT__learn__Perception.cpp)


# /home/siemens/bip/examples/sync_lec/learn.bip:71:1
list(APPEND TYPE_FILES include/learn/AT__learn__Controller.hpp src/learn/AT__learn__Controller.cpp)


# /home/siemens/bip/examples/sync_lec/learn.bip:97:1
list(APPEND TYPE_FILES include/learn/AT__learn__Brake.hpp src/learn/AT__learn__Brake.cpp)


# /home/siemens/bip/examples/sync_lec/learn.bip:108:1
list(APPEND TYPE_FILES include/learn/AT__learn__Throttle.hpp src/learn/AT__learn__Throttle.cpp)


# /home/siemens/bip/examples/sync_lec/learn.bip:119:1
list(APPEND TYPE_FILES include/learn/AT__learn__SpeedSensor.hpp src/learn/AT__learn__SpeedSensor.cpp)


# /home/siemens/bip/examples/sync_lec/learn.bip:131:1
list(APPEND TYPE_FILES include/learn/CT__learn__Compound.hpp src/learn/CT__learn__Compound.cpp)


# /home/siemens/bip/examples/sync_lec/learn.bip:12:1
list(APPEND TYPE_FILES include/learn/ConnT__learn__intConnector.hpp src/learn/ConnT__learn__intConnector.cpp)


list (APPEND PORT_FILES src/learn/Inter__learn__intConnector.cpp 
                        include/learn/Inter__learn__intConnector.hpp)

list (APPEND PORT_FILES src/learn/InterV__learn__intConnector.cpp 
                        include/learn/InterV__learn__intConnector.hpp)

# /home/siemens/bip/examples/sync_lec/learn.bip:17:1
list(APPEND TYPE_FILES include/learn/ConnT__learn__rendezVous.hpp src/learn/ConnT__learn__rendezVous.cpp)


list (APPEND PORT_FILES src/learn/Inter__learn__rendezVous.cpp 
                        include/learn/Inter__learn__rendezVous.hpp)

list (APPEND PORT_FILES src/learn/InterV__learn__rendezVous.cpp 
                        include/learn/InterV__learn__rendezVous.hpp)

# /home/siemens/bip/examples/sync_lec/learn.bip:22:1
list(APPEND TYPE_FILES include/learn/ConnT__learn__singleton.hpp src/learn/ConnT__learn__singleton.cpp)


list (APPEND PORT_FILES src/learn/Inter__learn__singleton.cpp 
                        include/learn/Inter__learn__singleton.hpp)

list (APPEND PORT_FILES src/learn/InterV__learn__singleton.cpp 
                        include/learn/InterV__learn__singleton.hpp)

# /home/siemens/bip/examples/sync_lec/learn.bip:8:1
list(APPEND TYPE_FILES include/learn/PT__learn__intPort.hpp src/learn/PT__learn__intPort.cpp)


list (APPEND PORT_FILES src/learn/ConnPort__learn__intPort.cpp
                        include/learn/ConnPort__learn__intPort.hpp)

list (APPEND PORT_FILES src/learn/CpndEPort__learn__intPort.cpp 
                        include/learn/CpndEPort__learn__intPort.hpp)

list (APPEND PORT_FILES src/learn/AtomEPort__learn__intPort.cpp 
                        include/learn/AtomEPort__learn__intPort.hpp)

list (APPEND PORT_FILES src/learn/AtomIPort__learn__intPort.cpp
                        include/learn/AtomIPort__learn__intPort.hpp)

list (APPEND PORT_FILES src/learn/AtomExternalPort__learn__intPort.cpp
                        include/learn/AtomExternalPort__learn__intPort.hpp)

list (APPEND PORT_FILES src/learn/PV__learn__intPort.cpp
                        include/learn/PV__learn__intPort.hpp)

list (APPEND PORT_FILES src/learn/QPR__learn__intPort.cpp
                        include/learn/QPR__learn__intPort.hpp)

# /home/siemens/bip/examples/sync_lec/learn.bip:9:1
list(APPEND TYPE_FILES include/learn/PT__learn__silent.hpp src/learn/PT__learn__silent.cpp)


list (APPEND PORT_FILES src/learn/ConnPort__learn__silent.cpp
                        include/learn/ConnPort__learn__silent.hpp)

list (APPEND PORT_FILES src/learn/CpndEPort__learn__silent.cpp 
                        include/learn/CpndEPort__learn__silent.hpp)

list (APPEND PORT_FILES src/learn/AtomEPort__learn__silent.cpp 
                        include/learn/AtomEPort__learn__silent.hpp)

list (APPEND PORT_FILES src/learn/AtomIPort__learn__silent.cpp
                        include/learn/AtomIPort__learn__silent.hpp)

list (APPEND PORT_FILES src/learn/AtomExternalPort__learn__silent.cpp
                        include/learn/AtomExternalPort__learn__silent.hpp)

list (APPEND PORT_FILES src/learn/PV__learn__silent.cpp
                        include/learn/PV__learn__silent.hpp)

list (APPEND PORT_FILES src/learn/QPR__learn__silent.cpp
                        include/learn/QPR__learn__silent.hpp)

include_directories("include")
add_library(pack__learn 
                      ${TYPE_FILES}
                      ${PORT_FILES}
                      ${EXTRA_SRC}
                      ${EXTRA_OBJ})
